{% load i18n %}
{% load server_tags %}

<div class="ratings {{ classes }} {% if post.vote_types == Post.QUALITY %} active {% endif%}">
    
    <div class="header">
        <button class="close-button">⨯</button>
    </div>

    {% trans "R" as R %}
    {% trans "A" as A %}
    {% trans "Q" as Q %}
    {% trans "Relevance" as Relevance %}
    {% trans "Level of agreement" as LevelOfAgreemnt %}
    {% trans "Quality" as Quality %}

	{% if post.vote_types == Post.QUALITY_LOA_RELEVANCE and not post.is_toplevel %}

	    {% rating_bar R Relevance "relevance" classes post post.relevance post.relevance_count post.user_relevance %}

	{% endif %}

	{% if post.vote_types == Post.QUALITY_LOA or post.vote_types == Post.QUALITY_LOA_RELEVANCE and not post.is_toplevel %}

	    {% rating_bar A LevelOfAgreement "level_of_agreement" classes post post.level_of_agreement post.level_of_agreement_count post.user_level_of_agreement %}

	{% endif %}

    {% if post.vote_types == Post.QUALITY %}
	   {% rating_bar Q "" "quality" classes post post.quality post.quality_count post.user_quality %}
    {% else %}
        {% rating_bar Q Quality "quality" classes post post.quality post.quality_count post.user_quality %}
    {% endif %}
    
    {% if post.is_toplevel %}
        <div class="vote mark {{ post.has_bookmark|on }}"
         data-type="bookmark" title="Bookmark">
        
            <div class="btn btn-default btn-xs flex-row">{% trans "Bookmark" %}</div>

        </div>
    {% endif %}

    <div class="footer">
        <button class="close-button">{% trans "done" %}</button>
    </div>

</div>
